Bug 71410 - ifup-post does not honor DHCP_HOSTNAME
ifup-post does not honor DHCP_HOSTNAME
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-13 06:07 EDT by Johan Dahlin
Modified: 2014-03-16 22:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Dahlin 2002-08-13 06:07:25 EDT
(using limbo2)

When configuring the network in redhat-network-config, i can choose to set my
DHCP hostname to something optional. This information will later be saved
/etc/sysconfig/network-script/ifcfg-eth0.

However, ifup-post does not look in this file when setting the hostname, it does
just lookup the hostname of the ip address (through ipcalc) i got from the DHCP
server.
Comment 1 Bill Nottingham 2005-09-29 16:13:10 EDT
DHCP_HOSTNAME is the hostname you *request*; it may not match what you actually get.

Note You need to log in before you can comment on or make changes to this bug.